# Create employee

Create a new employee for a company.

Endpoint: POST /employees
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)
    An employee in the company

  - `data.createdAt` (string)

  - `data.deletedAt` (string)

  - `data.id` (string)
    A unique identifier for the employee

  - `data.updatedAt` (string)

  - `data.firstName` (string)
    The employee's first name.

  - `data.lastName` (string)
    The employee's last name.

  - `data.assignedInvestorIds` (array)
    The unique identifiers of the investors assigned to the employee.

  - `data.availableAndPermittedTasktypes` (array)
    The Twilio task router task types on which this employee is both permitted and available to work.

  - `data.companyId` (string)
    The unique company identifier.

  - `data.displayName` (string)
    The agent's first and last name, if set. Otherwise, their email
address.

  - `data.email` (string)
    The employee's email address.

  - `data.externalId` (string)
    The lender's external identifier for the employee.

  - `data.jobName` (string)
    The name of position in the company—e.g., "CEO", "Agent", "Supervisor"

  - `data.object` (string)
    Enum: "Employee"

  - `data.phone` (string)
    The employee's phone number.

  - `data.teams` (array)

  - `data.teams.email` (string)
    The group email (or listserve) associated with this team.

  - `data.teams.employeeCount` (integer)
    The number of employees on this team.

  - `data.teams.externalId` (string)
    The lender's external identifier of the team.

  - `data.teams.id` (string)

  - `data.teams.name` (string)
    The name of the team—e.g., "Engineering", "Operations", "Customer Support". Must be unique.

  - `data.user` (any)
    The user associated with this employee

